Ir al contenido principal

Este explorador ya no se admite.

Actualice a Microsoft Edge para aprovechar las características y actualizaciones de seguridad más recientes, y disponer de soporte técnico.

Descargar Microsoft Edge Más información sobre Internet Explorer y Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Agent Invocations

Cancel an agent invocation

POST /agents/{agent_name}/endpoint/protocols/invocations/{invocation_id}/cancel

Cancels an invocation. Returns 404 if the agent does not support this operation or if the invocation ID is not found.

Parámetros de la ruta de acceso

agent_name string requerido

The name of the agent.

invocation_id string requerido

The unique identifier of the invocation to cancel.

Parámetros de encabezado

x-ms-user-identity string

Opaque per-user identity string used to scope endpoint-scoped data to a specific end user. The caller must have the agents/endpoints/UserIdentityImpersonation/action RBAC permission.

Parámetros de consulta

api-version string requerido

The API version to use for this operation.

Cuerpo de la solicitud

Optional request body.

Content-Type: */*

Respuestas

The request has succeeded.

Encabezados

x-agent-session-id string requerido

Session ID for this invocation. Returns the session ID associated with the invocation.

Cuerpo

Content-Type: */*

Client error

Cuerpo

Content-Type: application/json
error OpenAI.Error requerido
code string | null requerido
message string requerido
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Cualquiera de las siguientes:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string requerido

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Cuerpo

Content-Type: application/json
error OpenAI.Error requerido
code string | null requerido
message string requerido
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Cualquiera de las siguientes:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string requerido

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Solicitar

POST /agents/{agent_name}/endpoint/protocols/invocations/{invocation_id}/cancel HTTP/1.1

Respuesta

Status: 200
Content-Type: */*
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
es-es
Sus opciones de privacidad
  • Declinación de responsabilidades de IA
  • Versiones anteriores
  • Blog
  • Contribuir
  • Privacidad
  • Privacidad de estado del consumidor
  • Términos de uso
  • Marcas comerciales
  • © Microsoft 2026